.header{
    height: 50px;
    width: 100%;
    background-color: gray;
    top:0;
    
}
.container{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    width: 100%;
    grid-auto-rows: 300px;
    margin: 10px 0px 10px;
}
.block-a{
    background-color: red;
    grid-column: 1/3;

}
.block-b{
    background-color: orangered;
    grid-column:1/3;

}
.block-c{
    grid-column:3/4;
    grid-row:1/3;
    background-color: yellow;
}
.footer{
    bottom: 0;
    background-color: gray;
    height:50px;
    width: 100%;
}
@media screen and (max-width:650px) {
    .container{
        grid-template-columns: repeat(4,1fr);
    }
    .block-c{
        grid-column:3/5;
        grid-row: 1/3;
    }
    .block-a{
        grid-column: 1/3;
        grid-row: 1/2;
    }
    .block-b{
        grid-column:1/3;
    }
}
@media screen and (max-width:500px) {
    .container{
        grid-template-columns: repeat(3,1fr);
    }
    .block-a{
        grid-column: 1/4;
        grid-row: 1/2;
    }
    .block-b{
        grid-column:1/4;
        grid-row: 2/3;
    }
    .block-c{
        grid-column:1/4;
        grid-row:3/4 ;
    }

}